# -*- coding: utf-8 -*-
from setuphelpers import *
from waptpackage import control_to_dict
import codecs


def install():
    run_notfatal("apt-get remove rednotebook -y")
    version_red = control.version.split("-")[0]
    run("tar -xf v%s.tar.gz" % version_red)
    if isdir("/opt/rednotebook"):
        remove_tree("/opt/rednotebook")
    copytree2("rednotebook-%s" % version_red, "/opt/rednotebook")
    run("chown -R root:root /opt/rednotebook")

    install_apt("python3")
    with codecs.open(r"/opt/rednotebook/debian/control", encoding="utf8") as f:
        dict_control = control_to_dict(f.read().replace("\n\n", "\n"))
        print("dict control : ")
        print(dict_control)
    for p in dict_control["depends"].replace("\n", "").split(","):
        if "|" in p:
            p = p.split("|")[1].strip(" ")
        print("p : " + p)
        if not p.startswith("$"):
            install_apt(p)

    install_apt("python3-enchant")

    filecopyto("rednotebook.desktop", "/usr/share/applications/rednotebook.desktop")
    run("chown root:root /usr/share/applications/rednotebook.desktop")


def uninstall():
    remove_tree("/opt/rednotebook")
    remove_file("/usr/share/applications/rednotebook.desktop")
